[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TCustomDBGrid.DataSource

The DataSource from which this grid displays - usually the result of a database Query

## Declaration

Source position: dbgrids.pas line 443

`protected property TCustomDBGrid.DataSource: TDataSource read GetDataSource write SetDataSource;`

The latest version of this document can be found at lazarus-ccr.sourceforge.net.